Skip to main content
GET
/
api
/
v1
/
quotes
List Quotes
curl --request GET \
  --url https://api.example.com/api/v1/quotes
{
  "data": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "supplierId": "<string>",
      "totalAmount": 123,
      "currency": "<string>",
      "status": "<string>",
      "rfqId": "<string>",
      "supplierName": "<string>",
      "validityDate": "<string>",
      "notes": "<string>",
      "lineItems": [],
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:10
Required range: 1 <= x <= 100
rfq_id
string | null
supplier_id
string | null
status
string | null
sort
string
default:-created_at

Response

Successful Response

data
QuoteResponse · object[]
required
pagination
PaginationInfo · object
required